public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/pyilmbase/, dev-python/pyilmbase/files/
@ 2017-12-16 12:59 Patrice Clement
  0 siblings, 0 replies; 2+ messages in thread
From: Patrice Clement @ 2017-12-16 12:59 UTC (permalink / raw
  To: gentoo-commits

commit:     353d61e3e9ffc32a4d60c18b7146a706d1e1757d
Author:     Bernd Waibel <waebbl <AT> gmail <DOT> com>
AuthorDate: Tue Nov 14 15:54:03 2017 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Sat Dec 16 12:59:27 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=353d61e3

dev-python/pyilmbase: new package.

Closes: https://bugs.gentoo.org/634968
Closes: https://github.com/gentoo/gentoo/pull/6083
Package-Manager: Portage-2.3.14, Repoman-2.3.5

 dev-python/pyilmbase/Manifest                      |  1 +
 .../pyilmbase-2.2.0-configure-boost_python.patch   | 22 +++++++++
 dev-python/pyilmbase/metadata.xml                  | 16 +++++++
 dev-python/pyilmbase/pyilmbase-2.2.0.ebuild        | 53 ++++++++++++++++++++++
 4 files changed, 92 insertions(+)

diff --git a/dev-python/pyilmbase/Manifest b/dev-python/pyilmbase/Manifest
new file mode 100644
index 00000000000..ae18ecee025
--- /dev/null
+++ b/dev-python/pyilmbase/Manifest
@@ -0,0 +1 @@
+DIST pyilmbase-2.2.0.tar.gz 469927 SHA256 68c968fec5c40930a2c692ccc88990faa50320ed74b88553a3632d7d02c87e1a SHA512 111deb65a73b4d0454454d4fb64d09165fb25aad2e5714e35510c2b7ef301dc8765041de3188c2f89c9bd2770494a55a24372953fcda8dcedb23c401137e4344 WHIRLPOOL 7992b2f69b78076bca2bf0733b8db11473d0efef3f0b459859a54c5ba4efc47095ad8c05c9e542c1ab57aa5b1a3e285438d4a311daacfed5fb9f19bc8e44e4c3

diff --git a/dev-python/pyilmbase/files/pyilmbase-2.2.0-configure-boost_python.patch b/dev-python/pyilmbase/files/pyilmbase-2.2.0-configure-boost_python.patch
new file mode 100644
index 00000000000..897bc02baf9
--- /dev/null
+++ b/dev-python/pyilmbase/files/pyilmbase-2.2.0-configure-boost_python.patch
@@ -0,0 +1,22 @@
+diff --git a/configure.ac b/configure.ac
+index a4d6027..edfb49f 100644
+--- a/configure.ac
++++ b/configure.ac
+@@ -76,7 +76,7 @@ LIBS="$LIBS -lpython$PYTHON_VERSION"
+ BOOST_PYTHON_CXXFLAGS="" 
+ BOOST_PYTHON_LDFLAGS="" 
+ BOOST_PYTHON_LIBS="" 
+-BOOST_PYTHON_LIBNAME="boost_python"
++BOOST_PYTHON_LIBNAME="boost_python-$PYTHON_VERSION"
+ 
+ AC_ARG_WITH(
+    [boost-include-dir],
+@@ -90,7 +90,7 @@ AC_ARG_WITH(
+ 
+ AC_ARG_WITH(
+    [boost-python-libname],
+-   [AS_HELP_STRING([--with-boost-python-libname],["boost::python library name (default: boost_python)"])],
++   [AS_HELP_STRING([--with-boost-python-libname],["boost::python library name (default: boost_python-$PYTHON_VERSION)"])],
+    [BOOST_PYTHON_LIBNAME="$withval"])
+ 
+ CXXFLAGS="$CXXFLAGS $BOOST_PYTHON_CXXFLAGS -I$PYTHON_INC_DIR"

diff --git a/dev-python/pyilmbase/metadata.xml b/dev-python/pyilmbase/metadata.xml
new file mode 100644
index 00000000000..73126d2e664
--- /dev/null
+++ b/dev-python/pyilmbase/metadata.xml
@@ -0,0 +1,16 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="person">
+	<email>waebbl@gmail.com</email>
+	<name>Bernd Waibel</name>
+</maintainer>
+<maintainer type="project">
+	<email>proxy-maint@gentoo.org</email>
+	<name>Proxy Maintainers</name>
+</maintainer>
+<longdescription>Provides python bindings for <pkg>media-libs/ilmbase</pkg></longdescription>
+<use>
+	<flag name="numpy">Add bindings for <pkg>dev-python/numpy</pkg> use.</flag>
+</use>
+</pkgmetadata>

diff --git a/dev-python/pyilmbase/pyilmbase-2.2.0.ebuild b/dev-python/pyilmbase/pyilmbase-2.2.0.ebuild
new file mode 100644
index 00000000000..bf77c879e00
--- /dev/null
+++ b/dev-python/pyilmbase/pyilmbase-2.2.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils autotools python-single-r1 multilib-minimal
+
+DESCRIPTION="ilmbase Python bindings"
+HOMEPAGE="http://www.openexr.com"
+SRC_URI="http://download.savannah.gnu.org/releases/openexr/${P}.tar.gz"
+LICENSE="BSD"
+
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+numpy"
+
+REQUIRED_USE="
+	${PYTHON_REQUIRED_USE}"
+
+DEPEND="
+	${PYTHON_DEP}
+	>=virtual/pkgconfig-0-r1[${MULTILIB_USEDEP}]"
+
+RDEPEND="
+	${PYTHON_DEP}
+	>=media-libs/ilmbase-${PV}:=[${MULTILIB_USEDEP}]
+	>=dev-libs/boost-1.62.0-r1[${MULTILIB_USEDEP},python(+),${PYTHON_USEDEP}]
+	numpy? ( >=dev-python/numpy-1.10.4 )"
+
+AT_M4DIR=m4
+PATCHES=(
+	"${FILESDIR}/${P}-configure-boost_python.patch"
+)
+
+pkg_setup() {
+	python-single-r1_pkg_setup
+}
+
+src_prepare() {
+	default
+	eautoreconf
+	multilib_copy_sources
+}
+
+multilib_src_configure() {
+	ECONF_SOURCE=${S} econf "$(use_with numpy numpy)"
+}
+
+# fails to install successfully if MAKEOPTS is set to use more than one core.
+multilib_src_install() {
+	EMAKE_SOURCE=${S} emake DESTDIR="${D}" -j1 install
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/pyilmbase/, dev-python/pyilmbase/files/
@ 2020-07-21 18:58 Andreas Sturmlechner
  0 siblings, 0 replies; 2+ messages in thread
From: Andreas Sturmlechner @ 2020-07-21 18:58 UTC (permalink / raw
  To: gentoo-commits

commit:     e1d23133e46f11af2ff522f584aa1ab21a04443a
Author:     Bernd Waibel <waebbl <AT> gmail <DOT> com>
AuthorDate: Sun Jul  5 11:48:57 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Tue Jul 21 18:58:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e1d23133

dev-python/pyilmbase: bump to 2.5.2

Remove support for python2.7 and add python-3 support.

Closes: https://bugs.gentoo.org/711456
Package-Manager: Portage-2.3.103, Repoman-2.3.23
Signed-off-by: Bernd Waibel <waebbl <AT> gmail.com>
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-python/pyilmbase/Manifest                      |  1 +
 ...ig-file-for-PyIlmBase-to-include-prefixes.patch | 30 +++++++++
 dev-python/pyilmbase/metadata.xml                  | 10 ++-
 dev-python/pyilmbase/pyilmbase-2.5.2.ebuild        | 77 ++++++++++++++++++++++
 4 files changed, 117 insertions(+), 1 deletion(-)

diff --git a/dev-python/pyilmbase/Manifest b/dev-python/pyilmbase/Manifest
index e99c4ca8492..7d556826e89 100644
--- a/dev-python/pyilmbase/Manifest
+++ b/dev-python/pyilmbase/Manifest
@@ -1 +1,2 @@
 DIST pyilmbase-2.3.0.tar.gz 524975 BLAKE2B 7c3114921392ad29198025c672c366e6c98d2da968ed213ccfb446533b81fae4b78c687aba2108e476e16c4e97f11924799d0b0474ff3f82f17632f886bb6a39 SHA512 c20c26155315f2ae38efc183e5f33e2c18610365f5f1bca7a50363a005ff91c8782177293290ea037cf5f164f9b404f5710ce3cccba862e5e7f830727753589f
+DIST pyilmbase-2.5.2.tar.gz 27525326 BLAKE2B c48a61513457f2c04f3a512963ae27eaf154933ffe7c6ff3e2d71f27f246ae624a34dbe6f8ab500c51a56898ad0f61e6784f5cd3f9c3df591ce347b46ba4ac88 SHA512 62f98695cf56600303db9c2d13d34cacc1851a103d8ffb7e7ce8c6d9d14e6bf02804836c718ae03e8d685ef3dda0cf7b2130e2d363f8095b22a15bf30d706fab

diff --git a/dev-python/pyilmbase/files/pyilmbase-2.5.2-0001-Fix-pkgconfig-file-for-PyIlmBase-to-include-prefixes.patch b/dev-python/pyilmbase/files/pyilmbase-2.5.2-0001-Fix-pkgconfig-file-for-PyIlmBase-to-include-prefixes.patch
new file mode 100644
index 00000000000..6e8eb30cc47
--- /dev/null
+++ b/dev-python/pyilmbase/files/pyilmbase-2.5.2-0001-Fix-pkgconfig-file-for-PyIlmBase-to-include-prefixes.patch
@@ -0,0 +1,30 @@
+From 34b8fd05781b61ce06263cdd22866a8bfc4be5b5 Mon Sep 17 00:00:00 2001
+From: Bernd Waibel <waebbl@gmail.com>
+Date: Fri, 3 Jul 2020 22:01:18 +0200
+Subject: [PATCH] Fix pkgconfig file for PyIlmBase to include prefixes
+
+Signed-off-by: Bernd Waibel <waebbl@gmail.com>
+---
+ config/CMakeLists.txt | 6 +++---
+ 1 file changed, 3 insertions(+), 3 deletions(-)
+
+diff --git a/config/CMakeLists.txt b/config/CMakeLists.txt
+index 1872c89..44a9f2f 100644
+--- a/config/CMakeLists.txt
++++ b/config/CMakeLists.txt
+@@ -15,9 +15,9 @@ if(PYILMBASE_INSTALL_PKG_CONFIG)
+   # use a helper function to avoid variable pollution, but pretty simple
+   function(pyilmbase_pkg_config_help pcinfile)
+     set(prefix ${CMAKE_INSTALL_PREFIX})
+-    set(exec_prefix ${CMAKE_INSTALL_BINDIR})
+-    set(libdir ${CMAKE_INSTALL_LIBDIR})
+-    set(includedir ${CMAKE_INSTALL_INCLUDEDIR})
++    set(exec_prefix "\${prefix}")
++    set(libdir "\${exec_prefix}/${CMAKE_INSTALL_LIBDIR}")
++    set(includedir "\${exec_prefix}/${CMAKE_INSTALL_INCLUDEDIR}")
+     set(LIB_SUFFIX_DASH ${OPENEXR_LIB_SUFFIX})
+     string(REPLACE ".in" "" pcout ${pcinfile})
+     configure_file(${pcinfile} ${CMAKE_CURRENT_BINARY_DIR}/${pcout} @ONLY)
+-- 
+2.27.0
+

diff --git a/dev-python/pyilmbase/metadata.xml b/dev-python/pyilmbase/metadata.xml
index 73126d2e664..e5f54c42ad1 100644
--- a/dev-python/pyilmbase/metadata.xml
+++ b/dev-python/pyilmbase/metadata.xml
@@ -11,6 +11,14 @@
 </maintainer>
 <longdescription>Provides python bindings for <pkg>media-libs/ilmbase</pkg></longdescription>
 <use>
-	<flag name="numpy">Add bindings for <pkg>dev-python/numpy</pkg> use.</flag>
+	<flag name="exceptions">
+		Enable runtime floating point exceptions in PyIMath.
+	</flag>
+	<flag name="numpy">
+		Add bindings for <pkg>dev-python/numpy</pkg> use.
+	</flag>
 </use>
+<upstream>
+	<remote-id type="github">AcademySoftwareFoundation/openexr</remote-id>
+</upstream>
 </pkgmetadata>

diff --git a/dev-python/pyilmbase/pyilmbase-2.5.2.ebuild b/dev-python/pyilmbase/pyilmbase-2.5.2.ebuild
new file mode 100644
index 00000000000..0411b0530d8
--- /dev/null
+++ b/dev-python/pyilmbase/pyilmbase-2.5.2.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# boost is lacking py39 support as of 20200605
+PYTHON_COMPAT=( python3_{6,7,8} )
+CMAKE_ECLASS=cmake
+inherit cmake-multilib python-r1
+
+DESCRIPTION="IlmBase Python bindings"
+HOMEPAGE="https://www.openexr.com"
+SRC_URI="https://github.com/AcademySoftwareFoundation/openexr/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/25"
+KEYWORDS="~amd64 ~x86"
+IUSE="exceptions +numpy test"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	${PYTHON_DEPS}
+	>=dev-libs/boost-1.62.0-r1:=[python,${MULTILIB_USEDEP},${PYTHON_USEDEP}]
+	~media-libs/ilmbase-${PV}:=[${MULTILIB_USEDEP}]
+	sys-libs/zlib[${MULTILIB_USEDEP}]
+	numpy? ( >=dev-python/numpy-1.10.4[${PYTHON_USEDEP}] )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+S="${WORKDIR}/openexr-${PV}/PyIlmBase"
+
+PATCHES=(
+	"${FILESDIR}/${P}-0001-Fix-pkgconfig-file-for-PyIlmBase-to-include-prefixes.patch"
+)
+
+DOCS=( README.md )
+
+multilib_src_prepare() {
+	cmake_src_prepare
+	multilib_copy_sources
+}
+
+multilib_src_configure() {
+	python_configure() {
+		local mycmakeargs=(
+			-DCMAKE_DISABLE_FIND_PACKAGE_Python2=ON
+			-DPYILMBASE_INSTALL_PKG_CONFIG=ON
+			-DPYIMATH_ENABLE_EXCEPTIONS=$(usex exceptions)
+			-DPython3_EXECUTABLE="${PYTHON}"
+			-DPython3_INCLUDE_DIR=$(python_get_includedir)
+			-DPython3_LIBRARY=$(python_get_library_path)
+		)
+		cmake_src_configure
+	}
+	python_foreach_impl python_configure
+}
+
+multilib_src_compile() {
+	python_foreach_impl cmake_src_compile
+}
+
+multilib_src_install() {
+	python_install() {
+		cmake_src_install
+		if use numpy; then
+			python_domodule "${BUILD_DIR}/${EPYTHON/./_}/imathnumpy.so"
+			chmod +x "${D}/$(python_get_sitedir)/imathnumpy.so" || die
+		fi
+	}
+	python_foreach_impl python_install
+}
+
+multilib_src_test() {
+	python_foreach_impl cmake_src_test
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2020-07-21 18:58 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-07-21 18:58 [gentoo-commits] repo/gentoo:master commit in: dev-python/pyilmbase/, dev-python/pyilmbase/files/ Andreas Sturmlechner
  -- strict thread matches above, loose matches on Subject: below --
2017-12-16 12:59 Patrice Clement

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox